2019-10-14 11:41 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002322FSSCPdockingpublic2011-01-19 03:29
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version3.6.13 
Summary0002322: Player ship looses collision detection if wing is departing via docking bay
DescriptionBasically the player wing is set to depart via docking bay. When the departure cue becomes true the player ship no longer has collision detection against the departure target and can fly right through the bay, ship, etc.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012388

Goober5000 (administrator)

I'm pretty sure that behavior is by design. For example, try making an Elysium depart into an Orion's hangar bay. It doesn't quite fit, but the lack of collision detection makes it work.

~0012390

FUBAR-BDHR (developer)

Yes but it should not happen to a player ship unless the player ship is under AI control. The prevents any type of landing in a docking bay by the player while the wing is departing as it's possible to go through the ship as well as the docking bay.

~0012605

karajorma (administrator)

Submitted LuaPineapple's fix
+Notes

-Issue History
Date Modified Username Field Change
2010-10-05 22:55 FUBAR-BDHR New Issue
2010-10-05 22:55 FUBAR-BDHR Status new => assigned
2010-10-05 22:55 FUBAR-BDHR Assigned To => Goober5000
2010-10-06 00:16 Goober5000 Note Added: 0012388
2010-10-06 00:38 FUBAR-BDHR Note Added: 0012390
2011-01-19 03:12 karajorma Assigned To Goober5000 => karajorma
2011-01-19 03:29 karajorma Note Added: 0012605
2011-01-19 03:29 karajorma Status assigned => resolved
2011-01-19 03:29 karajorma Fixed in Version => 3.6.13
2011-01-19 03:29 karajorma Resolution open => fixed
+Issue History